> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arouter.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 取引履歴

> 使用料金とクレジット購入を含む最近の課金取引を一覧表示します。

<RequestExample>
  ```bash cURL theme={null}
  curl https://api.arouter.ai/api/v1/transactions \
    -H "Authorization: Bearer lr_live_xxxx"
  ```

  ```python Python theme={null}
  import requests

  resp = requests.get(
      "https://api.arouter.ai/api/v1/transactions",
      headers={"Authorization": "Bearer lr_live_xxxx"},
  )
  print(resp.json())
  ```

  ```typescript Node.js theme={null}
  const response = await fetch("https://api.arouter.ai/api/v1/transactions", {
    headers: {
      Authorization: "Bearer lr_live_xxxx",
    },
  });

  console.log(await response.json());
  ```
</RequestExample>

## レスポンス

```json theme={null}
{
  "transactions": [
    {
      "id": "txn_xxx",
      "type": "usage",
      "amount": -0.0042,
      "description": "openai/gpt-5.4 - 500 input tokens, 200 output tokens",
      "created_at": "2026-04-03T10:00:00Z"
    },
    {
      "id": "txn_yyy",
      "type": "credit",
      "amount": 50.0,
      "description": "Credit purchase",
      "created_at": "2026-04-01T09:00:00Z"
    }
  ]
}
```

| フィールド         | 説明                             |
| ------------- | ------------------------------ |
| `id`          | 一意の取引 ID                       |
| `type`        | 取引タイプ（`usage` または `credit` など） |
| `amount`      | クレジット購入は正の値、使用料金は負の値           |
| `description` | 取引の人間が読める説明                    |
| `created_at`  | 取引が記録された時のRFC3339 タイムスタンプ      |

## 注意事項

* 結果は新しい順に並んでいます。
* 使用料金は、キャッシュされたトークンと推論トークン（該当する場合）を含む、正規化された ARouter アカウンティングを反映しています。
* ダッシュボードでのエクスポートとモデルまたは API key によるグループ化については[アクティビティエクスポート](/jp/guides/administration/activity-export)を参照してください。
